VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::DeploymentOption Class Reference

The `DeploymentOption` class contains the information about a deployment option as defined in the OVF specification. More...

List of all members.

## Public Member Functions
| DeploymentOption ()
| Creates a default new instance.
string | GetKey ()
| The key of the deployment option, corresponding to the ovf:id attribute in the OVF descriptor.
void | SetKey (string key)
| The key of the deployment option, corresponding to the ovf:id attribute in the OVF descriptor.
string | GetLabel ()
| A localizable label for the deployment option.
void | SetLabel (string label)
| A localizable label for the deployment option.
string | GetDescription ()
| A localizable description for the deployment option.
void | SetDescription (string description)
| A localizable description for the deployment option.
bool | GetDefaultChoice ()
| A boolean flag indicates whether this deployment option is the default choice.
void | SetDefaultChoice (bool?defaultChoice)
| A boolean flag indicates whether this deployment option is the default choice.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `DeploymentOption` class contains the information about a deployment option as defined in the OVF specification.

This corresponds to the ovf:Configuration element of the ovf:DeploymentOptionSection in the specification. The ovf:DeploymentOptionSection specifies a discrete set of intended resource allocation configurations. This class represents one item from that set.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::DeploymentOption::DeploymentOption | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::DeploymentOption::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::DeploymentOption::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::DeploymentOption::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::DeploymentOption::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::DeploymentOption::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::DeploymentOption::Equals | ( | object | obj | ) | `[inline]`

bool vmware::vcenter::ovf::DeploymentOption::GetDefaultChoice | ( |  | ) | `[inline]`

A boolean flag indicates whether this deployment option is the default choice.

string vmware::vcenter::ovf::DeploymentOption::GetDescription | ( |  | ) | `[inline]`

A localizable description for the deployment option.

override int vmware::vcenter::ovf::DeploymentOption::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::DeploymentOption::GetKey | ( |  | ) | `[inline]`

The key of the deployment option, corresponding to the ovf:id attribute in the OVF descriptor.

string vmware::vcenter::ovf::DeploymentOption::GetLabel | ( |  | ) | `[inline]`

A localizable label for the deployment option.

void vmware::vcenter::ovf::DeploymentOption::SetDefaultChoice | ( | bool? | defaultChoice | ) | `[inline]`

A boolean flag indicates whether this deployment option is the default choice.

void vmware::vcenter::ovf::DeploymentOption::SetDescription | ( | string | description | ) | `[inline]`

A localizable description for the deployment option.

void vmware::vcenter::ovf::DeploymentOption::SetKey | ( | string | key | ) | `[inline]`

The key of the deployment option, corresponding to the ovf:id attribute in the OVF descriptor.

void vmware::vcenter::ovf::DeploymentOption::SetLabel | ( | string | label | ) | `[inline]`

A localizable label for the deployment option.

override string vmware::vcenter::ovf::DeploymentOption::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DeploymentOption.cs